// ******************************************************************************
// @file    boot_common.h
// @author  Milandr Application Team
// @version V1.1.0
// @date    04/09/2024
// @brief   header.
// ******************************************************************************
// THE PRESENT FIRMWARE IS FOR GUIDANCE ONLY. IT AIMS AT PROVIDING CUSTOMERS
// WITH CODING INFORMATION REGARDING MILANDR'S PRODUCTS IN ORDER TO FACILITATE
// THE USE AND SAVE TIME. MILANDR SHALL NOT BE HELD LIABLE FOR ANY
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES RESULTING
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR A USE MADE BY CUSTOMERS OF THE
// CODING INFORMATION CONTAINED HEREIN IN THEIR PRODUCTS.

#ifndef boot_common_H
#define boot_common_H

// Includes
#include "system_MDR32VF0xI_config.h"

void Trap_IRQHandler(void);

void bkp_set_fpor(void);
void bkp_write_mode(uint32_t mode);
void run_app(uint32_t entry_point);

#define rst_clk_per2_set(mask) (MDR_RST_CLK->PER2_CLOCK |=  (mask))
#define rst_clk_per2_clear(mask) (MDR_RST_CLK->PER2_CLOCK &= ~(mask))

#endif

